Get Audience

Retrieve an audience by ID with optional pagination.

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Query parameters

idstringRequiredformat: "^aud_"

Audience ID. This identifier is a string that always begins with the prefix aud_, for example: aud_abc123.

pageintegerOptional>=1Defaults to 1
Page number. If provided with or without limit, returns paginated contacts.
limitintegerOptional1-100Defaults to 50
Items per page. If provided with or without page, returns paginated contacts.

Response

Successfully retrieved audience.
With Paginationobject

Returned when page and/or limit parameters are provided.

OR
Count Onlyobject
Returned when no pagination parameters are provided.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error